FreeMat

- Main Page
- Related Pages

vtkQuantizePolyDataPoints

Section: Visualization Toolkit Graphics Classes

# Usage

vtkQuantizePolyDataPoints is a subclass of vtkCleanPolyData and inherits the functionality of vtkCleanPolyData with the addition that it quantizes the point coordinates before inserting into the point list. The user should set QFactor to a positive value (0.25 by default) and all {x,y,z} coordinates will be quantized to that grain size.

A tolerance of zero is expected, though positive values may be used, the quantization will take place before the tolerance is applied.

To create an instance of class vtkQuantizePolyDataPoints, simply invoke its constructor as follows

      obj = vtkQuantizePolyDataPoints

# Methods

The class vtkQuantizePolyDataPoints has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkQuantizePolyDataPoints class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkQuantizePolyDataPoints = obj.NewInstance ()`
- `vtkQuantizePolyDataPoints = obj.SafeDownCast (vtkObject o)`
- `obj.SetQFactor (double )` - Specify quantization grain size. Default is 0.25
- `double = obj.GetQFactorMinValue ()` - Specify quantization grain size. Default is 0.25
- `double = obj.GetQFactorMaxValue ()` - Specify quantization grain size. Default is 0.25
- `double = obj.GetQFactor ()` - Specify quantization grain size. Default is 0.25
- `obj.OperateOnPoint (double in[3], double out[3])` - Perform quantization on a point
- `obj.OperateOnBounds (double in[6], double out[6])` - Perform quantization on bounds